{
	"format_version": "1.8.0",
	"animations": {
		"animation.jellyfish.idle": {
			"loop": true,
			"animation_length": 1,
			"override_previous_animation": true,
			"bones": {
				"jellyfish": {
					"position": [0, "math.cos(query.anim_time*180*2*1-20)*1*0.55", 0],
					"scale": "1+math.cos(query.anim_time*180*2*1-20)*0.1*0.25"
				},
				"top": {
					"position": [0, "math.cos(query.anim_time*180*2*1-20)*1*0.55", 0],
					"scale": "1+math.cos(query.anim_time*180*2*1-20)*0.4*0.15"
				},
				"mid_part": {
					"scale": "1+math.cos(query.anim_time*180*2*1-20)*0.2*0.4"
				},
				"down_part": {
					"scale": "1+math.cos(query.anim_time*180*2*1-20)*0.1*0.4"
				}
			}
		},
		"animation.jellyfish.fly": {
			"loop": true,
			"animation_length": 1,
			"override_previous_animation": true,
			"bones": {
				"jellyfish": {
					"position": [0, "math.sin(query.anim_time*180*2*1-20)*1*0.55", 0],
					"scale": 1
				},
				"top": {
					"rotation": [0, 0, 0],
					"position": [0, "math.sin(query.anim_time*180*2*1-20)*2*0.55", 0]
				},
				"mid_part": {
					"position": [0, "math.sin(query.anim_time*180*2*1-20)*1*0.55", 0]
				},
				"down_part": {
					"position": [0, "math.sin(query.anim_time*180*2*1-20)*4*0.55", 0]
				},
				"down_part2": {
					"position": [0, "math.sin(query.anim_time*180*2*1-20)*2*0.55", 0]
				}
			},
			"particle_effects": {
				"0.25": {
					"effect": "bubbles",
					"locator": "locator2"
				}
			}
		},
		"animation.jellyfish.attack": {
			"loop": true,
			"animation_length": 2,
			"override_previous_animation": true,
			"bones": {
				"jellyfish": {
					"position": [0, "math.cos(query.anim_time*180*2*1-20)*1*0.55", 0],
					"scale": "1+math.cos(query.anim_time*180*2*1-20)*0.1*0.25"
				},
				"top": {
					"position": [0, "math.cos(query.anim_time*180*2*1-20)*1*0.55", 0],
					"scale": "1+math.cos(query.anim_time*180*2*1-20)*0.4*0.15"
				},
				"mid_part": {
					"scale": "1+math.cos(query.anim_time*180*2*1-20)*0.2*0.4"
				},
				"down_part": {
					"scale": "1+math.cos(query.anim_time*180*2*1-20)*0.1*0.4"
				}
			},
			"particle_effects": {
				"1.5": {
					"effect": "eletriv1",
					"locator": "locator3"
				}
			}
		}
	}
}